### Enumeration

# Ggit DiffOption

#### Declaration

    flags Ggit.DiffOption

#### Description [src]

How the diff should be generated.

#### Members

Name | Description
--- | ---
`GGIT_DIFF_NORMAL` | Normal.
`GGIT_DIFF_REVERSE` | Reverse the sides of the diff.
`GGIT_DIFF_INCLUDE_IGNORED` | Include ignored files.
`GGIT_DIFF_RECURSE_IGNORED_DIRS` | Also add all files under ignored dirs.
`GGIT_DIFF_INCLUDE_UNTRACKED` | Include untracked files.
`GGIT_DIFF_RECURSE_UNTRACKED_DIRS` | Recurse to untracked directories.
`GGIT_DIFF_INCLUDE_UNMODIFIED` | Include unmodified files.
`GGIT_DIFF_INCLUDE_TYPECHANGE` | Enable generation of typechange detal records.
`GGIT_DIFF_INCLUDE_TYPECHANGE_TREES` | Try to label tree transitions as type changes.
`GGIT_DIFF_IGNORE_FILE_MODE` | Ignore file mode changes.
`GGIT_DIFF_IGNORE_SUBMODULES` | Ignore submodules.
`GGIT_DIFF_IGNORE_CASE` | Use case insensitive filename comparison.
`GGIT_DIFF_DISABLE_PATHSPEC_MATCH` | Use exact path matching.
`GGIT_DIFF_SKIP_BINARY_CHECK` | Disable updating the binary flag in delta records.
`GGIT_DIFF_ENABLE_FAST_UNTRACKED_DIRS` | Immediately label untracked directories as untracked, without checking inside.
`GGIT_DIFF_FORCE_TEXT` | Force text.
`GGIT_DIFF_FORCE_BINARY` | Treat all files as binary, disabling text diffs.
`GGIT_DIFF_IGNORE_WHITESPACE` | Ignore whitespace.
`GGIT_DIFF_IGNORE_WHITESPACE_CHANGE` | Ignore whitespace change.
`GGIT_DIFF_IGNORE_WHITESPACE_EOL` | Ignore whitespace at end-of-line.
`GGIT_DIFF_SHOW_UNTRACKED_CONTENT` | Include content of untracked files. this implies GGIT_DIFF_INCLUDE_UNTRACKED but not GGIT_DIFF_RECURSE_UNTRACKED_DIRS.
`GGIT_DIFF_SHOW_UNMODIFIED` | Show unmodified files.
`GGIT_DIFF_PATIENCE` | Generate using the “patience diff” algorithm.
`GGIT_DIFF_MINIMAL` | Take extra time to find minimal diff.
`GGIT_DIFF_SHOW_BINARY` | Include deflate/delta information for binary files.